#ifndef SUART_H
#define SUART_H


#define SUART_READ_BUFFER	32
#define SUART_SEND_BUFFER	32

#define COMMAND_CHAR	':'		
#define COMMAND_RETURN	'?'		
#define COMMAND_VAL		'='
//#define COMMAND_PARAM	','
#define ACCEPT_CHAR		'\r'
//example commands:
//P01=64,20(ENTER)
//P1=0,0(ENTER)
//P0=0(ENTER)
//P99=255,255(ENTER)
//example answer
//P22=?(ENTER)
//P22=10(ENTER)

#define COMMAND_LEVEL_IDLE		0
#define COMMAND_LEVEL_RET		1
#define COMMAND_LEVEL_VAL		2

#define COMMAND_START_INDEX		0
#define COMMAND_CODE_INDEX		1
#define COMMAND_EQUAL_INDEX		2
#define COMMAND_VALUE_INDEX		3


void SuartInit(void);
void SuartSendData(char *data);
void SuartRClear(void);
void SuartSClear(void);

void SuartBufferSend(void);
void SuartBufferAdd(char *src);
char *SuartBufferSet(int16_t index);

char CommandProc(void);
char CommandValue(char index);
void CommandClear(void);
char CommandCodeGet(void);
int16_t CommandValueGet(void);
char CommandPauseGet(void);
//void Value2str(char *dest, char val);
//void SmallValue2str(char *dest, char val);


#endif //SUART_H
